#include <bits/stdc++.h>
#include "testlib.h"
 
using namespace std;
 
int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    int T = inf.readInt(1, 10'000, "T");
    inf.readEoln();
    for (int i = 1; i <= T; i++) {
        setTestCase(i);
        inf.readInt(1, 100'000'000, "t1");
        inf.readSpace();
        inf.readInt(1, 100'000'000, "t2");
        inf.readSpace();
        inf.readInt(1, 100'000'000, "t3");
        inf.readSpace();
        inf.readInt(1, 100'000'000, "t4");
        inf.readSpace();
        inf.readInt(1, 400'000'000, "T");
        inf.readEoln();
    }
    inf.readEof();
}
